curl --request PUT \
--url https://live.copilot.fabric.inc/api-offers/attributes/{attributeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": "Brand",
"values": [
"CHS",
"SOMA",
"WHBM"
]
}
'import requests
url = "https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}"
payload = {
"name": "Brand",
"values": ["CHS", "SOMA", "WHBM"]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Brand', values: ['CHS', 'SOMA', 'WHBM']})
};
fetch('https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "614b58924e92f6861ac9d43b",
"attributeId": 100002,
"name": "Brand",
"values": [
"CHS",
"SOMA",
"WHBM"
],
"deleted": false,
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z"
}{
"code": "ATTRIBUTE_NAME_EXISTS",
"message": "The attribute name already exists."
}{
"code": "ATTRIBUTE_NOT_FOUND",
"message": "No attribute found with this ID."
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}Update a specific attribute
Updates a specific attribute by attributeId
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
ID of the attribute to be updated
100002
Body
Response
OK
A 24-character system-generated attribute ID.
"614b58924e92f6861ac9d43b"
A unique identifier of the attribute, for external use.
100002
The attribute name.
"Brand"
The attribute values.
["CHS", "SOMA", "WHBM"]
A flag indicating the deletion status of the attribute. Set it to true to indicate the attribute is deleted and false to indicate otherwise.
false
The time of attribute creation, in UTC format.
"2020-12-14T12:15:43.646Z"
The time when the attribute was last updated, in UTC format.
"2021-12-14T12:15:43.646Z"
Was this page helpful?
